LinkedHashMap
Date: 2016-06-24

java.util

## Class LinkedHashMap

- java.lang.Object
- - java.util.AbstractMap
  - - java.util.HashMap
    - - java.util.LinkedHashMap

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class LinkedHashMap
      extends HashMap

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinkedHashMap()`
    `LinkedHashMap(int var0)`
    `LinkedHashMap(int var0, float var1)`
    `LinkedHashMap(int var0, float var1, boolean var2)`
    `LinkedHashMap(Map var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `removeEldestEntry(Map.Entry var0)`

    - ### Methods inherited from class java.util.HashMap

      `clone, entrySet`

    - ### Methods inherited from class java.util.AbstractMap

      `clear, containsKey, containsValue, get, isEmpty, keySet, put, putAll, remove, size, values`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `clear, containsKey, containsValue, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

- - ### Constructor Detail

    - #### LinkedHashMap

          public LinkedHashMap()

    - #### LinkedHashMap

          public LinkedHashMap(int var0)

    - #### LinkedHashMap

          public LinkedHashMap(int var0,
                       float var1)

    - #### LinkedHashMap

          public LinkedHashMap(int var0,
                       float var1,
                       boolean var2)

    - #### LinkedHashMap

          public LinkedHashMap(Map var0)

  - ### Method Detail

    - #### removeEldestEntry

          protected boolean removeEldestEntry(Map.Entry var0)